#ifndef	__RDA5802_H__
#define	__RDA5802_H__

// RDA5802E レジスタ

#define ADRS_RDA5802 (0x10 << 1)	// I2C address

// Writeは 02H High, 02H Low, 03H High, 03H Low, ...

#define	RDA5802_DHIZ			0x80	// REG 02H High
#define	RDA5802_DMUTE_OFF		0x40
#define	RDA5802_DMUTE_ON		0x00
#define	RDA5802_STEREO			0x00
#define	RDA5802_MONO			0x20
#define	RDA5802_BASS			0x10
#define	RDA5802_CLK_DIRECT_MODE	0x04
#define	RDA5802_SEEKUP			0x02
#define	RDA5802_SEEKDOWN		0x00
#define	RDA5802_SEEK			0x01
#define	RDA5802_SKMODE_AROUND	0x00	// REG 02H Low
#define RDA5802_SKMODE_STOP		0x80
#define	RDA5802_CLK_MODE_32KHZ	0x00
#define	RDA5802_SOFT_RESET		0x02
#define	RDA5802_ENABLE			0x01
#define	RDA5802_CHAN_HIGH		0xFF	// REG 03H High
#define	RDA5802_CHAN_LOW		0xC0	// REG 03H Low
#define	RDA5802_TUNE			0x10
#define	RDA5802_BAND_US_EUR		0x00
#define	RDA5802_BAND_JAPAN		0x04
#define	RDA5802_BAND_WORLD		0x08
#define	RDA5802_BAND_EAST_EUR	0x0C
#define	RDA5802_SPACE_100KHZ	0x00
#define	RDA5802_SPACE_200KHZ	0x01
#define	RDA5802_SPACE_50KHZ		0x02
#define	RDA5802_STCIEN			0x40	// REG 04H High
#define	RDA5802_DE_75us			0x00
#define	RDA5802_DE_50us			0x08
#define	RDA5802_SOFTMUTE_EN		0x02
#define	RDA5802_AFCD			0x01
#define	RDA5802_I2S_ENABLED		0x40	// REG 04H Low
#define	RDA5802_GPIO3			0x30
#define	RDA5802_GPIO2			0x0C
#define	RDA5802_GPIO1			0x03
#define	RDA5802_INT_MODE		0x80	// REG 05H High
#define	RDA5802_SEEKTH			0x7F
#define	RDA5802_LNA_PORT_SEL	0xC0	// REG 05H Low
#define	RDA5802_LNA_ICSEL_BIT	0x30
#define	RDA5802_VOLUME			0x0F
#define	RDA5802_IS2_MODE_SELECT	0x10	// REG 06H High
#define	RDA5802_I2S_WS_CNT		0xF0

// Readは 0AH High, 0AH Low, ...

#define	RDA5802_STC				0x40	// REG 0AH High
#define	RDA5802_SF				0x20
#define	RDA5802_ST				0x04
#define	RDA5802_READCHAN_HIGH	0x03
#define	RDA5802_READCHAN_LOW	0xFF	// REG 0AH Low
#define	RDA5802_RSSI			0xFE	// REG 0BH High
#define	RDA5802_FM_TRUE			0x01
#define	RDA5802_FM_READY		0x80	// REG 0BH Low

#endif	// __RDA5802_H__
