#ifndef	__MAIN_H__
#define	__MAIN_H__
//*******************************************************
//
//	FM Radio in RF-2200 Figure
//
//	ATtiny13
//		hfuse:FBh	BOD 2.7V
//		lfuse:22h	0.6MHz
//
//	Compiler:	AVR-GCC		4.3.5
//				AVR-LIBC	1.7.1
//				binutils	2.20.1
//
//	2012.5.25	KAWAKAMI Yukio
//*******************************************************

#define		F_CPU	600000UL	// 600kHz

#define		NOP		asm volatile("nop\n"::)
#define		WDR		asm volatile("wdr\n"::)
#define		SLEEP	asm volatile("sleep\n"::)

typedef	unsigned char	uchar;
typedef	unsigned int	uint;
typedef unsigned short	ushort;
typedef	unsigned long	ulong;

// ポート設定 (PORTB)
#define	SW		4
#define	POWER	3
#define	LED		2
#define	SCL		1
#define	SDA		0

// TWI(I2C)動作のマクロ設定。要外部プルアップ抵抗
#define		SCL_H	DDRB &= ~(1<<SCL)
#define		SCL_L	DDRB |= (1<<SCL)
#define		SDA_H	DDRB &= ~(1<<SDA)
#define		SDA_L	DDRB |= (1<<SDA)
// SCL=Hになるまで待つ
#define		WAIT_SCL_H	while(!(PINB & (1<<SCL)))

#define		EEPROM_FREQ		(uint16_t *)1

void init_fm_chip(void);
ushort seek_up(void);
void set_freq(ushort freq);
void wait_stc(void);

void TWI_start(void);
void TWI_send(uchar data);
uchar TWI_recv(uchar ack);
void TWI_stop(void);

void wait_timer(uchar tm);

#endif	// __MAIN_H__
